Subject: RE: [SIP] Processing BYE request at Proxy

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 1 Dec 2000 15:26:42 -0500

> -----Original Message-----
> From: Kim, DongSung [mailto:[email-masked]]
> Sent: Wednesday, November 29, 2000 8:23 PM
> To: [email-masked]
> Subject: [SIP] Processing BYE request at Proxy
> 
> 
> I have questions about BYE request.. My questions are two
> 
> <First Question>
> I am a Proxy.
> And I have received INVITE request from client and forked that to 
> downstream.(now there is server and client call state in my proxy)
> And then I have receive BYE request which has the same 
> call-leg with previous INVITE request but has lower CSeq than 
> previous INVITE request.
> 
> If I were UAS, I could reply 400(bad request).
> But I am proxy, So What Can I do in this case?(According to 
> SPEC, Proxy cannot generate final response to BYE request)
> 
> Of course, this situation is exceptional, But one of possible 
> situation.

Proxies are transactional devices. They forward requests, and forward
responses. Each transaction is independent. A proxy can, through means at
its own disposal, reconstruct call state by observing messages. But, it is
not the job of the proxy to try to emulate the responses the UA would send.

So, to directly answer the question, the proxy will proxy the BYE request
as normal. The request is rejected by the UA. The response is forwarded by
the proxy.

> 
> <Second Question>
> I am a proxy.
> And I have received INVITE request from client and forked 
> that to down stream..
> And then I have received none-200 final responses from all 
> branches.... so I have forwarded lowest numbered final 
> response to upstream.
> But before I receive ACK for final response from upstream, I 
> receive BYE request which has same call leg with previous 
> INVITE request and has higher CSeq than previous INVITE request.
> According to SPEC, Proxy cannot generate final response to 
> BYE request.. So there is no way but to simply forking BYE 
> request to downstream. I think this generates unnecessary 
> network traffic.
> I think If proxy could generated final response to BYE 
> request without forking BYE request to downstream in this 
> special case, there would be network bandwidth savings 
> without malfunction.
> I want your opinion about this issue   

No. Proxies do not respond to requests in this way. 

Normally, if the UA hangs up before a final response, it sends CANCEL. If
it did send BYE, that BYE is forwarded according to normal proxy handling.
If there is a Route header, its used. If not, its forked. 

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip